from donnees import creation_grille
from outils_console import *
from outils_pygame import *

grille = creation_grille()
nom = saisie_nom()

fenetre=pygame.display.set_mode((640, 480))
pygame.display.set_caption("Bataille_navale")
 

def verif_coule(code_bateau):
    for ligne in range(10):
        for colonne in range(10):
            if grille[ligne][colonne] == code_bateau:
                return False
    return True

def met_a_jour(cible):
    for ligne in range(10):
        for colonne in range(10):
            if grille[ligne][colonne] == cible:
                grille[ligne][colonne] += 10


# initialisation
coup = 20
score = 0
combo = -1

while coup > 0 :
    affichage(grille)
    x, y = saisie_coup(nom)
    code_bateau = grille[y][x]
    if 1 < grille[y][x] < 7:
        combo += 1
        score += (8 - code_bateau) + combo * 2
        message("Touché ! Score : " + str(score))
        grille[y][x] += 10
        if verif_coule(code_bateau):
            message("Bravo K'p'tain " + nom + ", coulé !")
            met_a_jour(code_bateau + 10)
    else:
        combo = -1
        coup -= 1
        message("Nan ! Reste " + str(coup) + " coup(s) !")
        grille[y][x] += 10
fin()
