from random import randint
 
def affichage(g):
    '''affiche la grille g en argument'''
    for y in range(10):
        # attention d'abord y
        print('|', end = '')
        for x in range(10):
            print(g[y][x], end = '|')
        print() # retour à ligne
 
def tirage_bateau():
    # coord du début
    x = randint(0, 9)
    y = randint(0, 9)
    if randint(0,1) : # booléen 0 pour faux et 1 pour vrai
        h, v = 0, 1  # vertical
    else :
        h, v = 1, 0  # horizontal
    return x, y, h, v
 
def place_pour(g, taille, x, y, h, v):
    for i in range(taille):
        # on pourrait un seul if mais plus clair
        if x < 10 and y < 10 : # dans la grille ?
            if 0 < g[y][x]: # déjà quelqu'un
                return False
            x += h
            y += v
        else :
            return False
    return True
 
def place_bateau(g, t, x, y, h, v):
    for i in range(t):
        g[y][x] = t
        x += h
        y += v
    return g
 
def creation_grille():
    # en compréhension :
    grille = [[0] * 10 for i in range(10)]
    # tirages des bateaux
    for taille in range(2, 7): # de 2 à 6
        x, y, h, v = tirage_bateau()
        while not place_pour(grille, taille, x, y, h, v):
            x, y, h, v = tirage_bateau()
        grille = place_bateau(grille, taille, x, y, h, v) 
    return grille
 
#affichage(creation_grille())
